from django.db import models
from decimal import Decimal
from django.core.validators import MinValueValidator
from facturesdavoir.models import Facture_d_avoir
from detailsretour.models import DetailRetour
from lots.models import Lot
from articles.models import Article

# Create your models here.
class DetailRetourFacture(models.Model):
	detail_retour = models.ForeignKey(DetailRetour, on_delete=models.SET_NULL, null=True, blank=True)
	facture_avoir = models.ForeignKey(Facture_d_avoir, on_delete=models.SET_NULL, null=True, blank=True)
	quantitee  = models.DecimalField(decimal_places=0, max_digits=19, blank=True, default=0, validators=[MinValueValidator(Decimal('0.00'))])
	taux = models.DecimalField(decimal_places=2, max_digits=19, blank=True, default=0, validators=[MinValueValidator(Decimal('0.00'))])
	taxe = models.DecimalField(decimal_places=2, max_digits=19, blank=True, default=0, validators=[MinValueValidator(Decimal('0.00'))])
	montant = models.DecimalField(decimal_places=2, max_digits=19, blank=True, default=0, validators=[MinValueValidator(Decimal('0.00'))])
	remise = models.DecimalField(decimal_places=2, max_digits=19, blank=True, default=0, validators=[MinValueValidator(Decimal('0.00'))])
	lot = models.ForeignKey(Lot, on_delete=models.SET_NULL, null=True, blank=True)
	article = models.ForeignKey(Article, on_delete=models.SET_NULL, null=True, blank=True)

